import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  DeleteVectorEnrichmentJobInput,
  DeleteVectorEnrichmentJobOutput,
} from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface DeleteVectorEnrichmentJobCommandInput
  extends DeleteVectorEnrichmentJobInput {}
export interface DeleteVectorEnrichmentJobCommandOutput
  extends DeleteVectorEnrichmentJobOutput,
    __MetadataBearer {}
export declare class DeleteVectorEnrichmentJobCommand extends $Command<
  DeleteVectorEnrichmentJobCommandInput,
  DeleteVectorEnrichmentJobCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: DeleteVectorEnrichmentJobCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteVectorEnrichmentJobCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteVectorEnrichmentJobCommandInput,
    DeleteVectorEnrichmentJobCommandOutput
  >;
  private serialize;
  private deserialize;
}
